Summary: A drag and drop file manager.
Name: OffiX-Files
Version: 2.4e
Release: 12
Group: Applications/File
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Files-2.4e.tar.gz
Source1: offix-files.desktop
Patch0: Files-2.4a-fhs.diff
Patch1: Files-2.4a-Xaw3d.diff
Patch2: offix-files.patch 
URL: http://leb.net/OffiX/
BuildRoot: %{_tmppath}/%{name}-build
BuildPreReq: OffiX-devel

%description
Based on xfm, OffiX-Files provides all the standard file
management capabilities: moving around the directory tree in multiple
windows; moving, copying or deleting files; launching programs with
simple mouse operations.  Also, note that it is the preferred file
manager for certain sub-basement inhabiting spooky FBI agents...

%prep
%setup -q -n Files-2.4e
%patch0 -p1
%patch1 -p1
%patch2 -p1 

%build
%configure --with-dnd-inc=%{_includedir}/OffiX \
        --with-dnd-lib=%{_libdir} \
	--datadir=%{_datadir} \
	--with-magic-headers
make includedir=%{_prefix}/X11R6/include/X11

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults/
%makeinstall includedir=$RPM_BUILD_ROOT%{_prefix}/X11R6/include/X11
install -m 644 src/Files.ad $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults/Files

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/ 
install -m 644 $RPM_SOURCE_DIR/offix-files.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%config %{_datadir}/OffiX/FilesMagic
%config %{_datadir}/OffiX/Filesrc
%{_bindir}/*
%{_mandir}/*/*
%{_prefix}/X11R6/lib/X11/app-defaults/Files
%{_prefix}/X11R6/include/X11/pixmaps
%{_prefix}/X11R6/include/X11/bitmaps
%{_sysconfdir}/X11/applnk/Applications/offix-files.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- FHS fixes
- fix offix-files.desktop

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Mon Jun 28 1999 Tim Powers <timp@redhat.com>
- removed line in spec for exclusivearch for alpha and intel, lets see if it
  runs un sparc now.
- rebuilt package for Powertools 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, built package

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged the contrib packge and cleaned it up a bit
